
use labprof9
SET CONTEXT_INFO 7;

select @@spid -- 56

SET LOCK_TIMEOUT -1; 
BEGIN TRANSACTION; 
SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED;

--SET TRANSACTION ISOLATION LEVEL SERIALIZABLE;
SET TRANSACTION ISOLATION LEVEL REPEATABLE READ;

SELECT mjera 
FROM test
WHERE sifra = 5

SELECT mjera 
FROM test
WHERE sifra = 12

SELECT mjera 
FROM test
WHERE sifra = 17

UPDATE test
SET mjera = 2
WHERE sifra = 5

ROLLBACK TRANSACTION;

